## org.biojava.bio.gui.sequence
Interface FeatureRenderer

All Known Subinterfaces:
  BeadFeatureRenderer, ImageMapRenderer

All Known Implementing Classes:
  AbstractBeadRenderer, BasicFeatureRenderer, FeatureLabelRenderer, RectangularImapRenderer, SixFrameZiggyRenderer, StackedFeatureRenderer, TickFeatureRenderer, ZiggyFeatureRenderer, ZiggyImapRenderer

public interface FeatureRenderer

Author:
  Thomas Down, Matthew Pocock

Method Summary
`double` `getDepth(SequenceRenderContext src)`
`FeatureHolder` `processMouseEvent(FeatureHolder hits, SequenceRenderContext src, java.awt.event.MouseEvent me)`
`void` `renderFeature(java.awt.Graphics2D g, Feature f, SequenceRenderContext context)`

Method Detail

### renderFeature

    public void renderFeature(java.awt.Graphics2D g,
                              Feature f,
                              SequenceRenderContext context)

### getDepth

    public double getDepth(SequenceRenderContext src)

### processMouseEvent

    public FeatureHolder processMouseEvent(FeatureHolder hits,
                                           SequenceRenderContext src,
                                           java.awt.event.MouseEvent me)